Ethiack Docs
Organization domains

List Organization Domains

GET
/v1/organizations/{organization_id}/domains/

Fetches a list of user-accessible organization domains, with support for filtering and pagination.

AuthorizationBasic <token>

Go to https://portal.ethiack.com/settings/api and generate your API keys. Simply use username=key, password=secret.

In: header

Path Parameters

organization_id*integer

The unique identifier of the organization to retrieve domains for.

Query Parameters

value?string

Filter domains by their value

verified?boolean

Filter domains by verification status

page?integer

Page number

per_page?integer

Number of domains per page

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.ethiack.com/v1/organizations/0/domains/"
{
  "domains": [
    {
      "id": 0,
      "value": "string",
      "organization_id": 0,
      "verified": true,
      "verification_token": null,
      "verification_txt_record": null
    }
  ]
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}
{
  "code": 0,
  "name": null,
  "description": "string",
  "success": false
}